
Redmine - Defect #7657

Wrong commit range in git log command on Windows

2011-02-18 23:59 - Toshi MARUYAMA

Status: Closed Start date: 2011-02-18

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 1.1.1

Description

$ ruby test/unit/lib/redmine/scm/adapters/git_adapter_test.rb

R:/work/hg-workdir/redmine-my-work/test/test_helper.rb:419: warning: don't put s

pace before argument parentheses

r:/Ruby186/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Wa

rning: Gem::Dependency#version_requirements is deprecated and will be removed on

 or after August 2010.  Use #requirement

Loaded suite test/unit/lib/redmine/scm/adapters/git_adapter_test

Started

....fatal: ambiguous argument '899a15d^.."899a15d': unknown revision or path not

 in the working tree.

Use '--' to separate paths from revisions

E.......

Finished in 0.8112 seconds.

  1) Error:

test_getting_certain_revisions(GitAdapterTest):

NoMethodError: You have a nil object when you didn't expect it!

You might have expected an instance of Array.

The error occurred while evaluating nil.length

    test/unit/lib/redmine/scm/adapters/git_adapter_test.rb:36:in `test_getting_c

ertain_revisions'

12 tests, 26 assertions, 0 failures, 1 errors

 
$ git --version

git version 1.7.4.msysgit.0

Related issues:

Related to Redmine - Defect #5628: Wrong commit range in git log command Closed 2010-06-01

Associated revisions

Revision 4887 - 2011-02-20 02:33 - Toshi MARUYAMA

scm: git: fix wrong commit range in git log command on Windows (#7657).

History

#1 - 2011-02-20 02:35 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed by r4887.

#2 - 2011-02-20 16:40 - Jean-Philippe Lang

- Status changed from Closed to Reopened

Tests broken by r4887: http://www.redmine.org/builds/index.html
https://www.redmine.org/projects/redmine/repository/svn/revisions/4887
https://www.redmine.org/projects/redmine/repository/svn/revisions/4887
http://www.redmine.org/builds/index.html


#3 - 2011-02-20 22:46 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Sorry, I fixed in r4893.

#4 - 2011-10-25 12:11 - Vergil Crocker

SPAM
